##
##  uucp.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         uucp
Summary:      Unix to Unix CoPy
URL:          http://www.gnu.org/software/uucp/
Vendor:       Ian Lance Taylor
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        Communication
License:      GPL
Version:      1.06.1
Release:      20021111

#   list of sources
Source0:      ftp://ftp.gnu.org/gnu/uucp/uucp-%{version}.tar.gz
Source1:      uucpd.tar.gz
Source2:      etc.tar
Source3:      rc.uucp
Patch0:       uucp.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    Unix to Unix CoPy (UUCP) is an old-fashioned but still very
    useful way of spooling files (usually Email and News files) and
    transferring them to a remote site in batch.

%prep
    %setup0 -q -c -n uucp-%{version}
    %patch0 -p0
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2

%build
    ( cd uucp-%{version}
      %{l_shtool} subst \
          -e 's;chown;true;g' \
          -e 's;owner = uucp;owner = %{l_musr};' \
          -e 's;\(sbindir = $(exec_prefix)\)/lib/uucp;\1/sbin;' \
          -e 's;/conf/uucp;/etc/uucp;' \
          Makefile.in
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix}
      %{l_make} %{l_mflags}
    )
    ( cd uucpd
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure
      %{l_make} %{l_mflags}
    )

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -p -f -m 755 \
        $RPM_BUILD_ROOT%{l_prefix} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d \
        $RPM_BUILD_ROOT%{l_prefix}/etc/uucp \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/sbin \
        $RPM_BUILD_ROOT%{l_prefix}/lib \
        $RPM_BUILD_ROOT%{l_prefix}/man \
        $RPM_BUILD_ROOT%{l_prefix}/var/uucp/spool \
        $RPM_BUILD_ROOT%{l_prefix}/var/uucp/run \
        $RPM_BUILD_ROOT%{l_prefix}/var/uucp/log
    ( cd uucp-%{version}
      %{l_make} %{l_mflags} install install-info \
          prefix=$RPM_BUILD_ROOT%{l_prefix} \
          exec_prefix=$RPM_BUILD_ROOT%{l_prefix}
    )
    %{l_shtool} install -c -s -m 755 \
        uucpd/uucpd $RPM_BUILD_ROOT%{l_prefix}/sbin/
    %{l_shtool} install -c -m 640 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        etc/* $RPM_BUILD_ROOT%{l_prefix}/etc/uucp/
    %{l_shtool} install -c -m 755 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.uucp} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_shtool} install -c -m 644 /dev/null \
        $RPM_BUILD_ROOT%{l_prefix}/var/uucp/log/uucp.log
    %{l_shtool} install -c -m 644 /dev/null \
        $RPM_BUILD_ROOT%{l_prefix}/var/uucp/log/uucp.stat
    %{l_shtool} install -c -m 644 /dev/null \
        $RPM_BUILD_ROOT%{l_prefix}/var/uucp/log/uucp.debug
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2> /dev/null || true
    strip $RPM_BUILD_ROOT%{l_prefix}/sbin/* 2> /dev/null || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/uucp/*'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

